This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 611495 - Perf: Display of callime data uses huge amounts of memory on database
Perf: Display of callime data uses huge amounts of memory on database
Status: CLOSED CURRENTRELEASE
Product: RHQ Project
Classification: Other
Component: Core Server (Show other bugs)
3.0.0
All Linux
low Severity medium (vote)
: ---
: ---
Assigned To: RHQ Project Maintainer
Mike Foley
:
Depends On:
Blocks: rhq-perf
  Show dependency treegraph
 
Reported: 2010-07-05 08:19 EDT by Heiko W. Rupp
Modified: 2014-06-02 15:05 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-06-02 15:05:33 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Heiko W. Rupp 2010-07-05 08:19:08 EDT
Postgres is creating temp files when a query does not fit into the main memory like below:



LOG:  temporary file: path "base/pgsql_tmp/pgsql_tmp56743.0", size 2308400
STATEMENT:  select count(distinct calltimeda1_.CALL_DESTINATION) as col_0_0_ from RHQ_CALLTIME_DATA_VALUE calltimeda0_, RHQ_CALLTIME_DATA_KEY calltimeda1_, RHQ_MEASUREMENT_SCHED measuremen3_, RHQ_MEASUREMENT_DEF measuremen4_ where calltimeda0_.KEY_ID=calltimeda1_.id and calltimeda1_.SCHEDULE_ID=measuremen3_.id and measuremen3_.DEFINITION=measuremen4_.ID and measuremen4_.DATA_TYPE=$1 and (calltimeda0_.id in (select calltimeda5_.id from RHQ_CALLTIME_DATA_VALUE calltimeda5_, RHQ_CALLTIME_DATA_KEY calltimeda6_, RHQ_MEASUREMENT_SCHED measuremen7_ where calltimeda5_.KEY_ID=calltimeda6_.id and calltimeda6_.SCHEDULE_ID=measuremen7_.id and measuremen7_.RESOURCE_ID=$2)) and calltimeda0_.BEGIN_TIME>$3 and calltimeda0_.END_TIME<$4
LOG:  temporary file: path "base/pgsql_tmp/pgsql_tmp56743.1", size 12830168
STATEMENT:  select count(distinct calltimeda1_.CALL_DESTINATION) as col_0_0_ from RHQ_CALLTIME_DATA_VALUE calltimeda0_, RHQ_CALLTIME_DATA_KEY calltimeda1_, RHQ_MEASUREMENT_SCHED measuremen3_, RHQ_MEASUREMENT_DEF measuremen4_ where calltimeda0_.KEY_ID=calltimeda1_.id and calltimeda1_.SCHEDULE_ID=measuremen3_.id and measuremen3_.DEFINITION=measuremen4_.ID and measuremen4_.DATA_TYPE=$1 and (calltimeda0_.id in (select calltimeda5_.id from RHQ_CALLTIME_DATA_VALUE calltimeda5_, RHQ_CALLTIME_DATA_KEY calltimeda6_, RHQ_MEASUREMENT_SCHED measuremen7_ where calltimeda5_.KEY_ID=calltimeda6_.id and calltimeda6_.SCHEDULE_ID=measuremen7_.id and measuremen7_.RESOURCE_ID=$2)) and calltimeda0_.BEGIN_TIME>$3 and calltimeda0_.END_TIME<$4
LOG:  duration: 1242.267 ms  execute <unnamed>: select count(distinct calltimeda1_.CALL_DESTINATION) as col_0_0_ from RHQ_CALLTIME_DATA_VALUE calltimeda0_, RHQ_CALLTIME_DATA_KEY calltimeda1_, RHQ_MEASUREMENT_SCHED measuremen3_, RHQ_MEASUREMENT_DEF measuremen4_ where calltimeda0_.KEY_ID=calltimeda1_.id and calltimeda1_.SCHEDULE_ID=measuremen3_.id and measuremen3_.DEFINITION=measuremen4_.ID and measuremen4_.DATA_TYPE=$1 and (calltimeda0_.id in (select calltimeda5_.id from RHQ_CALLTIME_DATA_VALUE calltimeda5_, RHQ_CALLTIME_DATA_KEY calltimeda6_, RHQ_MEASUREMENT_SCHED measuremen7_ where calltimeda5_.KEY_ID=calltimeda6_.id and calltimeda6_.SCHEDULE_ID=measuremen7_.id and measuremen7_.RESOURCE_ID=$2)) and calltimeda0_.BEGIN_TIME>$3 and calltimeda0_.END_TIME<$4
DETAIL:  parameters: $1 = '3', $2 = '12791', $3 = '1278158986846', $4 = '1278331786846'

Note You need to log in before you can comment on or make changes to this bug.